Bug 1130178 - [abrt] nautilus: nautilus_bookmark_connect_file(): nautilus killed by SIGABRT
Summary: [abrt] nautilus: nautilus_bookmark_connect_file(): nautilus killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:75e8e7cf895bc24c60552398d5b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 13:53 UTC by Stefan Ringel
Modified: 2016-07-19 12:00 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:00:58 UTC


Attachments (Terms of Use)
File: backtrace (29.23 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: core_backtrace (15.53 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: dso_list (20.26 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: environ (934 bytes, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: maps (91.69 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: open_fds (2.80 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details
File: var_log_messages (3.83 KB, text/plain)
2014-08-14 13:54 UTC, Stefan Ringel
no flags Details

Description Stefan Ringel 2014-08-14 13:53:59 UTC
Version-Release number of selected component:
nautilus-3.13.2-5.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_bookmark_connect_file
executable:     /usr/bin/nautilus
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nautilus_bookmark_connect_file
 #5 nautilus_bookmark_constructed
 #6 g_object_new_internal at /lib64/libgobject-2.0.so.0
 #7 g_object_new_valist at /lib64/libgobject-2.0.so.0
 #9 nautilus_bookmark_new
 #10 view_begin_loading_cb
 #15 finish_loading_if_all_metadata_loaded
 #16 metadata_for_directory_as_file_ready_callback
 #17 call_ready_callbacks_at_idle
 #19 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0

Comment 1 Stefan Ringel 2014-08-14 13:54:01 UTC
Created attachment 926791 [details]
File: backtrace

Comment 2 Stefan Ringel 2014-08-14 13:54:03 UTC
Created attachment 926792 [details]
File: cgroup

Comment 3 Stefan Ringel 2014-08-14 13:54:04 UTC
Created attachment 926793 [details]
File: core_backtrace

Comment 4 Stefan Ringel 2014-08-14 13:54:05 UTC
Created attachment 926794 [details]
File: dso_list

Comment 5 Stefan Ringel 2014-08-14 13:54:07 UTC
Created attachment 926795 [details]
File: environ

Comment 6 Stefan Ringel 2014-08-14 13:54:08 UTC
Created attachment 926796 [details]
File: limits

Comment 7 Stefan Ringel 2014-08-14 13:54:10 UTC
Created attachment 926797 [details]
File: maps

Comment 8 Stefan Ringel 2014-08-14 13:54:11 UTC
Created attachment 926798 [details]
File: open_fds

Comment 9 Stefan Ringel 2014-08-14 13:54:12 UTC
Created attachment 926799 [details]
File: proc_pid_status

Comment 10 Stefan Ringel 2014-08-14 13:54:13 UTC
Created attachment 926800 [details]
File: var_log_messages

Comment 11 Alexei Panov 2014-10-12 14:31:47 UTC
I have confirm this bug.
nautilus-3.14.0-2.fc21.x86_64

Comment 12 Jaroslav Reznik 2015-03-03 16:12:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Jiri Nytra 2015-05-14 12:23:38 UTC
Another user experienced a similar problem:

When click to connect to server item in side bar

reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_bookmark_connect_file
executable:     /usr/bin/nautilus
global_pid:     2628
kernel:         4.0.2-300.fc22.x86_64
package:        nautilus-3.16.1-1.fc22
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 marco 2015-07-27 18:26:20 UTC
Another user experienced a similar problem:

I opened two bookmarks type ftp

reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: nautilus_bookmark_connect_file
executable:     /usr/bin/nautilus
global_pid:     1693
kernel:         4.0.8-300.fc22.x86_64
package:        nautilus-3.16.2-2.fc22
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 marco 2015-07-27 18:34:02 UTC
Another user experienced a similar problem:

I was using an ftp folder mounted

reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_bookmark_connect_file
executable:     /usr/bin/nautilus
global_pid:     6039
kernel:         4.0.8-300.fc22.x86_64
package:        nautilus-3.16.2-2.fc22
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2016-07-19 12:00:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.